#pragma once
#include "Region.h"

class Map;

/**
 * @brief Region representing all tiles not covered by actual BWTA regions (like tiles with no ground).
 */
class AirLocation : public Region
{
public:
  AirLocation(Map* parent)
    : Region(NULL, parent)
  {
  }

  virtual BWAPI::Position getCurrentCenter() const;

  virtual void _output(std::ostream& out) const
  {
    out << "Air location";
  }
};